﻿using CommunityToolkit.Maui.Behaviors;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        Style validStyle = new Style(typeof(Entry));

        validStyle.Setters.Add(new Setter { Property = Entry.TextColorProperty, Value = Colors.Green });

        Style invalidStyle = new Style(typeof(Entry));

        invalidStyle.Setters.Add(new Setter { Property = Entry.TextColorProperty, Value = Colors.Red });

        UriValidationBehavior behavior = new UriValidationBehavior
        {
            ValidStyle   = validStyle,
            InvalidStyle = invalidStyle,
            Flags        = ValidationFlags.ValidateOnValueChanged,
            UriKind      = UriKind.Absolute
        };

        this.entry.Behaviors.Add(behavior);
    }

    #endregion
}